--- old/usr/src/cmd/hwdata/pci.ids	2013-06-23 14:18:28.712044842 +0200
+++ new/usr/src/cmd/hwdata/pci.ids	2013-06-23 14:18:28.726905356 +0200
@@ -4273,7 +5424,8 @@
 	006a  Intrepid2 Firewire
 	006b  Intrepid2 GMAC (Sun GEM)
 	0074  U4 HT Bridge
-	1645  Tigon3 Gigabit Ethernet NIC (BCM5701)
+# should be 14e4:1645
+	1645  Broadcom NetXtreme BCM5701 Gigabit Ethernet
 106c  Hynix Semiconductor
 	8139  8139c 100BaseTX Ethernet Controller
 	8801  Dual Pentium ISA/PCI Motherboard
@@ -4331,6 +5483,7 @@
 	1240  ISP1240 SCSI Host Adapter
 	1280  ISP1280 SCSI Host Adapter
 	2020  ISP2020A Fast!SCSI Basic Adapter
+	2031  ISP8324-based 16Gb Fibre Channel to PCI Express Adapter
 	2100  QLA2100 64-bit Fibre Channel Adapter
 		1077 0001  QLA2100 64-bit Fibre Channel Adapter
 	2200  QLA2200 64-bit Fibre Channel Adapter
@@ -4373,6 +5526,11 @@
 	8022  8200 Series 10GbE Converged Network Adapter (iSCSI)
 		103c 3347  CN1000Q Dual Port Converged Network Adapter
 		1077 0212  QME8242-k 10GbE Dual Port Mezzanine Card, iSCSI
+	8030  ISP8324 1/10GbE Converged Network Controller
+		1077 0243  8300 Series Single Port 10GbE Converged Network Adapter (TCP/IP Networking)
+		1077 0246  8300 Series Dual Port 10GbE Converged Network Adapter (TCP/IP Networking)
+	8031  8300 Series 10GbE Converged Network Adapter (FCoE)
+	8032  8300 Series 10GbE Converged Network Adapter (iSCSI)
 	8432  ISP2432M-based 10GbE Converged Network Adapter (CNA)
 1078  Cyrix Corporation
 	0000  5510 [Grappa]
@@ -4389,17 +5547,11 @@
 	0403  ZFMicro Expansion Bus
 1079  I-Bus
 107a  NetWorth
-107b  Gateway 2000
+# formerly Gateway 2000 / acquired by Acer Inc.
+107b  Gateway, Inc.
 107c  LG Electronics [Lucky Goldstar Co. Ltd]
 107d  LeadTek Research Inc.
 	0000  P86C850
-	204d  [GeForce 7800 GTX] Winfast PX7800 GTX TDH
-	2134  WinFast 3D S320 II
-	2971  [GeForce FX 5900] WinFast A350 TDH MyViVo
-	6609  Winfast TV 2000 XP RM
-	6654  Conexant CX23883 [WinFast DTV1800 H]
-	6f22  WinFast PxTV1200
-	6f34  WinFast DVR3100 H
 107e  Interphase Corporation
 	0001  5515 ATM Adapter [Flipper]
 	0002  100 VG AnyLan Controller
@@ -4429,7 +5581,6 @@
 1083  Forex Computer Corporation
 	0001  FR710
 1084  Parador
-1085  Tulip Computers Int.B.V.
 1086  J. Bond Computer Systems
 1087  Cache Computer
 1088  Microcomputer Systems (M) Son
@@ -4467,7 +5618,6 @@
 	1001  Happy Meal 10/100 Ethernet [hme]
 	1100  RIO EBUS
 		108e 1100  RIO EBUS on Blade 100 motherboard
-# Correction
 	1101  RIO 10/100 Ethernet [eri]
 		108e 1101  RIO GEM on Blade 100 motherboard
 	1102  RIO 1394
@@ -4603,6 +5753,8 @@
 	2ca0  PCI-6034E
 	2cc0  PXI-6608
 	2db0  PCI-6608
+# Low-Cost, High-Current, 96 Ch, 5 V TTL/CMOS Digital I/O
+	7085  PCI-6509
 	70a9  PCI-6528 (Digital I/O at 60V)
 	70aa  PCI-6229
 	70ab  PCI-6259
@@ -4887,6 +6039,10 @@
 		10b4 237e  Velocity 4400
 10b5  PLX Technology, Inc.
 	0001  i960 PCI bus interface
+	0557  PCI9030 32-bit 33MHz PCI <-> IOBus Bridge
+		10b5 9030  Digium Tormenta 2 T400P-SS7 or E400P-SS7 Quad T1 or E1 PCI card
+	1000  PCI9030 32-bit 33MHz PCI <-> IOBus Bridge
+		10b5 9030  ATCOM AT400P Quad T1 PCI card
 	1024  Acromag, Inc. IndustryPack Carrier Card
 	1042  Brandywine / jxi2, Inc. - PMC-SyncClock32, IRIG A & B, Nasa 36
 	106a  Dual OX16C952 4 port serial adapter [Megawolf Romulus/4]
@@ -4896,9 +6052,17 @@
 	1103  VScom 200 2 port serial adaptor
 	1146  VScom 010 1 port parallel adaptor
 	1147  VScom 020 2 port parallel adaptor
+	2000  PCI9030 32-bit 33MHz PCI <-> IOBus Bridge
+		10b5 9030  ATCOM AE400P Quad E1 PCI card
 	2540  IXXAT CAN-Interface PC-I 04/PCI
 	2724  Thales PCSM Security Card
 	3376  Cosateq 4 Port CAN Card
+	4000  PCI9030 32-bit 33MHz PCI <-> IOBus Bridge
+		10b5 9030  Tormenta 3 Varion V400P/ATCOM TE400P Quad E1/T1/J1 PCI card
+	4001  PCI9030 32-bit 33MHz PCI <-> IOBus Bridge
+		10b5 9030  ATCOM A400PE Quad E1 PCI card
+	4002  PCI9030 32-bit 33MHz PCI <-> IOBus Bridge
+		10b5 9030  ATCOM A400PT Quad T1 PCI card
 	6140  PCI6140 32-bit 33MHz PCI-to-PCI Bridge
 	6150  PCI6150 32-bit 33MHz PCI-to-PCI Bridge
 	6152  PCI6152 32-bit 66MHz PCI-to-PCI Bridge
@@ -4933,6 +6097,7 @@
 	8547  PEX 8547 48-lane, 3-port PCI Express Switch
 	8548  PEX 8548 48-lane, 9-port PCI Express Switch
 	8604  PEX 8604 4-lane, 4-Port PCI Express Gen 2 (5.0 GT/s) Switch
+	8605  PEX 8605 PCI Express 4-port Gen2 Switch
 	8606  PEX 8606 6 Lane, 6 Port PCI Express Gen 2 (5.0 GT/s) Switch
 	8608  PEX 8608 8-lane, 8-Port PCI Express Gen 2 (5.0 GT/s) Switch
 	8609  PEX 8609 8-lane, 8-Port PCI Express Gen 2 (5.0 GT/s) Switch with DMA
@@ -4955,12 +6120,15 @@
 	8664  PEX 8664 64-lane, 16-Port PCI Express Gen 2 (5.0 GT/s) Switch
 	8680  PEX 8680 80-lane, 20-Port PCI Express Gen 2 (5.0 GT/s) Multi-Root Switch
 	8696  PEX 8696 96-lane, 24-Port PCI Express Gen 2 (5.0 GT/s) Multi-Root Switch
+	8717  PEX 8717 16-lane, 8-Port PCI Express Gen 3 (8.0 GT/s) Switch with DMA
+	8718  PEX 8718 16-Lane, 5-Port PCI Express Gen 3 (8.0 GT/s) Switch
 	8732  PEX 8732 32-lane, 8-Port PCI Express Gen 3 (8.0 GT/s) Switch
+	8734  PEX 8734 32-lane, 8-Port PCI Express Gen 3 (8.0GT/s) Switch
 # This is the Non-Transparent-Bridge Virtualized Port as presented by the PLX PEX 8732 chip, the physical bridges show up at 10b5:8732
 	87b0  PEX 8732 32-lane, 8-Port PCI Express Gen 3 (8.0 GT/s) Switch
 	9016  PLX 9016 8-port serial controller
 	9030  PCI9030 32-bit 33MHz PCI <-> IOBus Bridge
-		10b5 2695  Hilscher CIF50-PB Profibus Master Board
+		10b5 2695  Hilscher CIF50-PB/DPS Profibus
 		10b5 2862  Alpermann+Velte PCL PCI LV (3V/5V): Timecode Reader Board
 		10b5 2906  Alpermann+Velte PCI TS (3V/5V): Time Synchronisation Board
 		10b5 2940  Alpermann+Velte PCL PCI D (3V/5V): Timecode Reader Board
@@ -5061,6 +6229,7 @@
 		10b5 3354  Alpermann+Velte PCL PCIe LV: Timecode Reader Board
 		10b5 3355  Alpermann+Velte PCL PCIe L: Timecode Reader Board
 		10b5 3415  Alpermann+Velte PCIe TS: Time Synchronisation Board
+		10b5 3493  Alpermann+Velte PCL PCIe 3G: Timecode Reader Board
 		1369 c001  LX6464ES
 		1369 c201  LX1616ES
 		14b4 d10a  DekTec DTA-110T
@@ -5093,6 +6262,15 @@
 	a100  Blackmagic Design DeckLink
 	bb04  B&B 3PCIOSD1A Isolated PCI Serial
 	c001  CronyxOmega-PCI (8-port RS232)
+	d00d  PCI9030 32-bit 33MHz PCI <-> IOBus Bridge
+		10b5 9030  Digium Tormenta 2 T400P or E400P Quad T1 or E1 PCI card
+	d33d  PCI9030 32-bit 33MHz PCI <-> IOBus Bridge
+		10b5 9030  Tormenta 3 Varion V401PT Quad T1/J1 PCI card
+	d44d  PCI9030 32-bit 33MHz PCI <-> IOBus Bridge
+		10b5 17f6  Allo CP100P/E 1-port E1/T1/J1 PCI/PCIe card
+		10b5 17f7  Allo CP400P/E 4-port E1/T1/J1 PCI/PCIe card
+		10b5 17f8  Allo CP200P/E 2-port E1/T1/J1 PCI/PCIe card
+		10b5 9030  Tormenta 3 Varion V401PE Quad E1 PCI card
 10b6  Madge Networks
 	0001  Smart 16/4 PCI Ringnode
 	0002  Smart 16/4 PCI Ringnode Mk2
@@ -5168,7 +6346,7 @@
 		10b7 656b  3CCFEM656 10/100 LAN+56K Modem CardBus
 	6564  3cXFEM656C 10/100 LAN+Winmodem CardBus [Tornado]
 	7646  3cSOHO100-TX Hurricane
-	7770  3CRWE777 PCI(PLX) Wireless Adaptor [Airconnect]
+	7770  3CRWE777 PCI Wireless Adapter [Airconnect]
 	7940  3c803 FDDILink UTP Controller
 	7980  3c804 FDDILink SAS Controller
 	7990  3c805 FDDILink DAS Controller
@@ -5270,7 +6448,8 @@
 	1001  FDC 37C922
 	a011  83C170QF
 	b106  SMC34C90
-10b9  ALi Corporation
+# Split off ALi Corporation in 2003
+10b9  ULi Electronics Inc.
 	0101  CMI8338/C3DX PCI Audio Device
 	0111  C-Media CMI8738/C3DX Audio Device (OEM)
 		10b9 0111  C-Media CMI8738/C3DX Audio Device (OEM)
@@ -5407,7 +6586,6 @@
 10c1  ICM Co., Ltd.
 10c2  Auspex Systems Inc.
 10c3  Samsung Semiconductors, Inc.
-	1100  Smartether100 SC1100 LAN Adapter (i82557B)
 10c4  Award Software International Inc.
 10c5  Xerox Corporation
 10c6  Rambus Inc.
@@ -5487,6 +6665,7 @@
 	1623  PCEA4 PCI-Express Dual Port ESCON Adapter
 	2001  mb86605
 	200c  MB86613L IEEE1394 OHCI 1.0 Controller
+	2010  MB86613S IEEE1394 OHCI 1.1 Controller
 	2019  MB86295S [CORAL P]
 	201e  MB86296S [CORAL PA]
 	202b  MB86297A [Carmine Graphics Controller]
@@ -5522,8 +6701,7 @@
 10de  NVIDIA Corporation
 	0008  NV1 [EDGE 3D]
 	0009  NV1 [EDGE 3D]
-	0010  NV2 [Mutara V08]
-	0020  NV4 [RIVA TNT]
+	0020  NV4 [Riva TNT]
 		1043 0200  V3400 TNT
 		1048 0c18  Erazor II SGRAM
 		1048 0c19  Erazor II
@@ -5547,7 +6725,7 @@
 		10de 0020  Riva TNT
 		1102 1015  Graphics Blaster CT6710
 		1102 1016  Graphics Blaster RIVA TNT
-	0028  NV5 [RIVA TNT2/TNT2 Pro]
+	0028  NV5 [Riva TNT2 / TNT2 Pro]
 		1043 0200  AGP-V3800 SGRAM
 		1043 0201  AGP-V3800 SDRAM
 		1043 0205  PCI-V3800
@@ -5566,6 +6744,7 @@
 		1092 4a00  Viper V770
 		1092 4a02  Viper V770 Ultra
 		1092 5a00  RIVA TNT2/TNT2 Pro
+		1092 5a40  Viper V770D AGP
 		1092 6a02  Viper V770 Ultra
 		1092 7a02  Viper V770 Ultra
 		10de 0005  RIVA TNT2 Pro
@@ -5574,7 +6753,7 @@
 		1102 1026  3D Blaster RIVA TNT2 Digital
 		1462 8806  MS-8806 AGPhantom Graphics Card
 		14af 5810  Maxi Gamer Xentor
-	0029  NV5 [RIVA TNT2 Ultra]
+	0029  NV5 [Riva TNT2 Ultra]
 		1043 0200  AGP-V3800 Deluxe
 		1043 0201  AGP-V3800 Ultra SDRAM
 		1043 0205  PCI-V3800 Ultra
@@ -5585,32 +6764,39 @@
 		1102 1029  3D Blaster RIVA TNT2 Ultra
 		1102 102f  3D Blaster RIVA TNT2 Ultra
 		14af 5820  Maxi Gamer Xentor 32
+		4843 4f34  Dynamite
 	002a  NV5 [Riva TNT2]
 	002b  NV5 [Riva TNT2]
-	002c  NV6 [Vanta/Vanta LT]
+	002c  NV5 [Vanta / Vanta LT]
 		1043 0200  AGP-V3800 Combat SDRAM
 		1043 0201  AGP-V3800 Combat
 		1048 0c20  TNT2 Vanta
 		1048 0c21  TNT2 Vanta
+		1048 0c25  TNT2 Vanta 16MB
 		1092 6820  Viper V730
 		1102 1031  CT6938 VANTA 8MB
 		1102 1034  CT6894 VANTA 16MB
 		14af 5008  Maxi Gamer Phoenix 2
-	002d  NV5M64 [RIVA TNT2 Model 64/Model 64 Pro]
+	002d  NV5 [Riva TNT2 Model 64 / Model 64 Pro]
 		1043 0200  AGP-V3800M
 		1043 0201  AGP-V3800M
 		1048 0c3a  Erazor III LT
 		1048 0c3b  Erazor III LT
+		107d 2137  WinFast 3D S325
 		10de 0006  RIVA TNT2 Model 64/Model 64 Pro
 		10de 001e  M64 AGP4x
 		1102 1023  CT6892 RIVA TNT2 Value
 		1102 1024  CT6932 RIVA TNT2 Value 32Mb
 		1102 102c  CT6931 RIVA TNT2 Value [Jumper]
+		1102 1030  CT6931 RIVA TNT2 Value
+# S26361-D1243-V116
+		110a 006f  GM1000-16
+# S26361-D1243-V216
+		110a 0081  GM1000-16
 		1462 8808  MSI-8808
+		14af 5620  Gamer Cougar Video Edition
 		1554 1041  Pixelview RIVA TNT2 M64
 		1569 002d  Palit Microsystems Daytona TNT2 M64
-	002e  NV6 [Vanta]
-	002f  NV6 [Vanta]
 	0034  MCP04 SMBus
 	0035  MCP04 IDE
 	0036  MCP04 Serial ATA Controller
@@ -5624,22 +6810,25 @@
 	0040  NV40 [GeForce 6800 Ultra]
 	0041  NV40 [GeForce 6800]
 		1043 817b  V9999 Gamer Edition
-	0042  NV40.2 [GeForce 6800 LE]
-	0043  NV40.3 [GeForce 6800 XE]
+		107d 2992  WinFast A400
+		1458 310f  Geforce 6800 GV-N6812
+	0042  NV40 [GeForce 6800 LE]
+		107d 299b  WinFast A400 LE
+	0043  NV40 [GeForce 6800 XE]
 	0044  NV40 [GeForce 6800 XT]
 	0045  NV40 [GeForce 6800 GT]
-	0046  NV45 [GeForce 6800 GT]
+		1043 817d  V9999GT
+		1458 3140  GV-N68T256D
 	0047  NV40 [GeForce 6800 GS]
 		1682 2109  GeForce 6800 GS
 	0048  NV40 [GeForce 6800 XT]
-	0049  NV40GL
-	004d  NV40GL [Quadro FX 4000]
 	004e  NV40GL [Quadro FX 4000]
 	0050  CK804 ISA Bridge
 		1043 815a  K8N4-E or A8N-E Mainboard
 		10f1 2865  Tomcat K8E (S2865)
 		1458 0c11  GA-K8N Ultra-9 Mainboard
 		1462 7100  MSI K8N Diamond
+		1462 7125  K8N Neo4-F mainboard
 		147b 1c1a  KN8-Ultra Mainboard
 		1565 3402  NF4 AM2L Mainboard
 	0051  CK804 ISA Bridge
@@ -5650,6 +6839,7 @@
 		10f1 2865  Tomcat K8E (S2865)
 		1458 0c11  GA-K8N Ultra-9 Mainboard
 		1462 7100  MSI K8N Diamond
+		1462 7125  K8N Neo4-F mainboard
 		147b 1c1a  KN8-Ultra Mainboard
 		1565 3402  NF4 AM2L Mainboard
 	0053  CK804 IDE
@@ -5657,6 +6847,7 @@
 		10f1 2865  Tomcat K8E (S2865)
 		1458 5002  GA-K8N Ultra-9 Mainboard
 		1462 7100  MSI K8N Diamond
+		1462 7125  K8N Neo4-F mainboard
 		147b 1c1a  KN8-Ultra Mainboard
 		1565 3402  NF4 AM2L Mainboard
 	0054  CK804 Serial ATA Controller
@@ -5665,6 +6856,7 @@
 		10f1 2865  Tomcat K8E (S2865)
 		1458 b003  GA-K8N Ultra-9 Mainboard
 		1462 7100  MSI K8N Diamond
+		1462 7125  K8N Neo4-F mainboard
 		147b 1c1a  KN8-Ultra Mainboard
 		1565 5401  NF4 AM2L Mainboard
 	0055  CK804 Serial ATA Controller
@@ -5672,6 +6864,7 @@
 		1043 815a  K8N4-E or A8N-E Mainboard
 		10f1 2865  Tomcat K8E (S2865)
 		1458 b003  GA-K8N Ultra-9 Mainboard
+		1462 7125  K8N Neo4-F mainboard
 		147b 1c1a  KN8-Ultra Mainboard
 		1565 5401  NF4 AM2L Mainboard
 	0056  CK804 Ethernet Controller
@@ -5681,12 +6874,14 @@
 		10f1 2865  Tomcat K8E (S2865)
 		1458 e000  GA-K8N Ultra-9 Mainboard
 		1462 7100  MSI K8N Diamond
+		1462 7125  K8N Neo4-F mainboard
 		147b 1c1a  KN8-Ultra Mainboard
 		1565 2501  NF4 AM2L Mainboard
 	0058  CK804 AC'97 Modem
 	0059  CK804 AC'97 Audio Controller
 		1043 812a  K8N4-E or A8N-E Mainboard
 		10f1 2865  Tomcat K8E (S2865)
+		1462 7585  K8N Neo4-F mainboard
 		147b 1c1a  KN8-Ultra Mainboard
 		1565 8211  NF4 AM2L Mainboard
 	005a  CK804 USB Controller
@@ -5695,6 +6890,7 @@
 		10f1 2865  Tomcat K8E (S2865)
 		1458 5004  GA-K8N Ultra-9 Mainboard
 		1462 7100  MSI K8N Diamond
+		1462 7125  K8N Neo4-F mainboard
 		147b 1c1a  KN8-Ultra Mainboard
 		1565 3402  NF4 AM2L Mainboard
 	005b  CK804 USB Controller
@@ -5703,6 +6899,7 @@
 		10f1 2865  Tomcat K8E (S2865)
 		1458 5004  GA-K8N Ultra-9 Mainboard
 		1462 7100  MSI K8N Diamond
+		1462 7125  K8N Neo4-F mainboard
 		147b 1c1a  KN8-Ultra Mainboard
 		1565 3402  NF4 AM2L Mainboard
 	005c  CK804 PCI Bridge
@@ -5714,7 +6911,8 @@
 		10f1 2865  Tomcat K8E (S2865)
 		10f1 2891  Thunder K8SRE Mainboard
 		1458 5000  GA-K8N Ultra-9 Mainboard
-		1462 7100  MSI K8N Diamond
+		1462 7100  K8N Diamond Mainboard
+		1462 7125  K8N Neo4-F Mainboard
 		147b 1c1a  KN8-Ultra Mainboard
 		1565 3402  NF4 AM2L Mainboard
 	005f  CK804 Memory Controller
@@ -5769,21 +6967,26 @@
 	0092  G70 [GeForce 7800 GT]
 	0093  G70 [GeForce 7800 GS]
 	0095  G70 [GeForce 7800 SLI]
-	0098  G70 [GeForce Go 7800]
-	0099  G70 [GeForce Go 7800 GTX]
+	0097  G70 [GeForce GTS 250]
+	0098  G70M [GeForce Go 7800]
+	0099  G70M [GeForce Go 7800 GTX]
 	009d  G70GL [Quadro FX 4500]
 	00a0  NV5 [Aladdin TNT2]
 		14af 5810  Maxi Gamer Xentor
 	00c0  NV41 [GeForce 6800 GS]
-	00c1  NV41.1 [GeForce 6800]
-	00c2  NV41.2 [GeForce 6800 LE]
-	00c3  NV42 [GeForce 6800 XT]
-	00c8  NV41.8 [GeForce Go 6800]
-	00c9  NV41.9 [GeForce Go 6800 Ultra]
-	00cc  NV41 [Quadro FX Go1400]
-	00cd  NV41 [Quadro FX 3450/4000 SDI]
+	00c1  NV41 [GeForce 6800]
+	00c2  NV41 [GeForce 6800 LE]
+	00c3  NV41 [GeForce 6800 XT]
+	00c5  NV41
+	00c6  NV41
+	00c7  NV41
+	00c8  NV41M [GeForce Go 6800]
+	00c9  NV41M [GeForce Go 6800 Ultra]
+	00cc  NV41GLM [Quadro FX Go1400]
+	00cd  NV41GL [Quadro FX 3450/4000 SDI]
 		10de 029b  wx4300 Workstation
 	00ce  NV41GL [Quadro FX 1400]
+	00cf  NV41
 	00d0  nForce3 LPC Bridge
 	00d1  nForce3 Host Bridge
 	00d2  nForce3 AGP Bridge
@@ -5850,7 +7053,6 @@
 		147b 1c0b  NF8 Mainboard
 	00ed  nForce3 250Gb PCI-to-PCI Bridge
 	00ee  nForce3 Serial ATA Controller 2
-	00f0  NV40 [GeForce 6800 Ultra]
 	00f1  NV43 [GeForce 6600 GT]
 		1043 81a6  N6600GT TD 128M AGP
 		1043 81c6  N6600GT TD 128M AGP
@@ -5862,15 +7064,15 @@
 		1682 211c  GeForce 6600 256MB DDR DUAL DVI TV
 	00f3  NV43 [GeForce 6200]
 	00f4  NV43 [GeForce 6600 LE]
-	00f5  G70 [GeForce 7800 GS]
-	00f6  NV43 [GeForce 6800 GS]
+	00f5  G71 [GeForce 7800 GS]
+	00f6  NV43 [GeForce 6800 GS/XT]
 		1682 217e  XFX GeForce 6800 XTreme 256MB DDR3 AGP
-	00f8  NV45GL [Quadro FX 3400/4400]
-	00f9  NV45 [GeForce 6800 GTO]
+	00f8  NV40GL [Quadro FX 3400/4400]
+	00f9  NV40 [GeForce 6800 GT/GTO/Ultra]
 		10de 00f9  NV40 [GeForce 6800 GT]
 		1682 2120  GEFORCE 6800 GT PCI-E
 	00fa  NV36 [GeForce PCX 5750]
-	00fb  NV35 [GeForce PCX 5900]
+	00fb  NV38 [GeForce PCX 5900]
 	00fc  NV37GL [Quadro FX 330/GeForce PCX 5300]
 	00fd  NV37GL [Quadro PCI-E Series]
 	00fe  NV38GL [Quadro FX 1300]
@@ -5885,13 +7087,13 @@
 		1048 0c48  Synergy Force
 		1102 102d  CT6941 GeForce 256
 		14af 5022  3D Prophet SE
-	0101  NV10DDR [GeForce 256 DDR]
+	0101  NV10 [GeForce 256 DDR]
 		1043 0202  AGP-V6800 DDR
 		1043 400a  AGP-V6800 DDR SGRAM
 		1043 400b  AGP-V6800 DDR SDRAM
 		1048 0c42  Erazor X
 		107d 2822  WinFast GeForce 256
-		1102 102e  CT6971 GeForce 256 DDR
+		1102 102e  CT6970/CT6971
 		14af 5021  3D Prophet DDR-DVI
 	0103  NV10GL [Quadro]
 		1048 0c40  GLoria II-64
@@ -5909,81 +7111,99 @@
 		1048 0c64  Gladiac 511TV-OUT 64MB
 		1048 0c65  Gladiac 511TWIN
 		1048 0c66  Gladiac 311
+		10b0 0001  GeForce2 MX Jumbo TV
 		10de 0091  Dell OEM GeForce 2 MX 400
 		10de 00a1  Apple OEM GeForce2 MX
+		1462 8523  MS-8852
 		1462 8817  MSI GeForce2 MX400 Pro32S [MS-8817]
 		14af 7102  3D Prophet II MX
 		14af 7103  3D Prophet II MX Dual-Display
 		1545 0023  Xtasy Rev. B2
-	0111  NV11DDR [GeForce2 MX200]
-	0112  NV11 [GeForce2 Go]
+		1554 1081  MVGA-NVG11AM(400)
+	0111  NV11 [GeForce2 MX200]
+	0112  NV11M [GeForce2 Go]
 	0113  NV11GL [Quadro2 MXR/EX/Go]
 	0140  NV43 [GeForce 6600 GT]
+		1458 3125  GV-NX66T128D
+		1458 3126  GV-NX66T256DE
+		1462 8939  MS-8983
 	0141  NV43 [GeForce 6600]
 		1043 81b0  EN6600 Silencer
+		107d 593a  LR2A22 128MB TV OUT
+		107d 597b  WINFAST PX6600
 		1458 3124  GV-NX66128DP Turbo Force Edition
 	0142  NV43 [GeForce 6600 LE]
 	0143  NV43 [GeForce 6600 VE]
-	0144  NV43 [GeForce Go 6600]
+	0144  NV43M [GeForce Go 6600]
 	0145  NV43 [GeForce 6610 XL]
-	0146  NV43 [GeForce Go 6600TE/6200TE]
+	0146  NV43M [GeForce Go6200 TE / 6600 TE]
 	0147  NV43 [GeForce 6700 XL]
-	0148  NV43 [GeForce Go 6600]
-	0149  NV43 [GeForce Go 6600 GT]
+	0148  NV43M [GeForce Go 6600]
+	0149  NV43M [GeForce Go 6600 GT]
 	014a  NV43 [Quadro NVS 440]
-	014c  NV43 [Quadro FX 540 MXM]
+	014b  NV43
 	014d  NV43GL [Quadro FX 550]
 	014e  NV43GL [Quadro FX 540]
 	014f  NV43 [GeForce 6200]
 	0150  NV15 [GeForce2 GTS/Pro]
 		1043 4016  V7700 AGP Video Card
+		1043 402a  AGP-V7700
 		1048 0c50  Gladiac
 		1048 0c52  Gladiac-64
 		107d 2840  WinFast GeForce2 GTS with TV output
 		107d 2842  WinFast GeForce 2 Pro
 		10de 002e  GeForce2 GTS
+		1462 815a  MS-8815
 		1462 8831  Creative GeForce2 Pro
-	0151  NV15DDR [GeForce2 Ti]
+	0151  NV15 [GeForce2 Ti]
 		1043 405f  V7700Ti
 		1462 5506  Creative 3D Blaster GeForce2 Titanium
-	0152  NV15BR [GeForce2 Ultra, Bladerunner]
+		1462 8364  MS-8836
+	0152  NV15 [GeForce2 Ultra]
 		1048 0c56  GLADIAC Ultra
 	0153  NV15GL [Quadro2 Pro]
 	0160  NV44 [GeForce 6500]
-	0161  NV44 [GeForce 6200 TurboCache(TM)]
-	0162  NV44 [GeForce 6200SE TurboCache (TM)]
+	0161  NV44 [GeForce 6200 TurboCache]
+	0162  NV44 [GeForce 6200 SE TurboCache]
 	0163  NV44 [GeForce 6200 LE]
-	0164  NV44 [GeForce Go 6200]
+	0164  NV44M [GeForce Go 6200]
 	0165  NV44 [Quadro NVS 285]
-	0166  NV44 [GeForce Go 6400]
-	0167  NV44 [GeForce Go 6200]
-	0168  NV44 [GeForce Go 6400]
+	0166  NV44M [GeForce Go 6400]
+	0167  NV44M [GeForce Go 6200]
+	0168  NV44M [GeForce Go 6400]
 	0169  NV44 [GeForce 6250]
 	016a  NV44 [GeForce 7100 GS]
+	016d  NV44
+	016e  NV44
+	016f  NV44
 	0170  NV17 [GeForce4 MX 460]
+		1462 8630  MS-8863
 	0171  NV17 [GeForce4 MX 440]
 		10b0 0002  Gainward Pro/600 TV
 		10de 0008  Apple OEM GeForce4 MX 440
 		1462 8661  G4MX440-VTP
 		1462 8730  MX440SES-T (MS-8873)
+		1462 8743  MS-8874
 		1462 8852  GeForce4 MX440 PCI
 		147b 8f00  Abit Siluro GeForce4MX440
 	0172  NV17 [GeForce4 MX 420]
+		1462 8730  MS-8873
+		1462 8784  MS-8878
 	0173  NV17 [GeForce4 MX 440-SE]
-	0174  NV17 [GeForce4 440 Go]
-	0175  NV17 [GeForce4 420 Go]
-	0176  NV17 [GeForce4 420 Go 32M]
+	0174  NV17M [GeForce4 440 Go]
+	0175  NV17M [GeForce4 420 Go]
+	0176  NV17M [GeForce4 420 Go 32M]
 		103c 08b0  tc1100 tablet
 		144d c005  X10 Laptop
 		4c53 1090  Cx9 / Vx9 mainboard
-	0177  NV17 [GeForce4 460 Go]
+	0177  NV17M [GeForce4 460 Go]
 	0178  NV17GL [Quadro4 550 XGL]
-	0179  NV17 [GeForce4 440 Go 64M]
+	0179  NV17M [GeForce4 440 Go 64M]
 		10de 0179  GeForce4 MX (Mac)
 	017a  NV17GL [Quadro NVS]
 	017b  NV17GL [Quadro4 550 XGL]
 	017c  NV17GL [Quadro4 500 GoGL]
-	017d  NV17 [GeForce4 410 Go 16M]
+	017f  NV17
 	0181  NV18 [GeForce4 MX 440 AGP 8x]
 		1043 8063  GeForce4 MX 440 AGP 8X
 		1043 806f  V9180 Magic
@@ -6004,14 +7224,16 @@
 	018b  NV18GL [Quadro4 380 XGL]
 	018c  NV18GL [Quadro NVS 50 PCI]
 	018d  NV18M [GeForce4 448 Go]
+	018f  NV18
+	0190  G80 [GeForce 8800 GTS / 8800 GTX]
 	0191  G80 [GeForce 8800 GTX]
+	0192  G80 [GeForce 8800 GTS]
 	0193  G80 [GeForce 8800 GTS]
 		107d 20bd  WinFast PX 8800 GTS TDH
 	0194  G80 [GeForce 8800 Ultra]
-# Found in GPU server Tesla D870 and S870
-	0197  G80 [Tesla C870]
-	019d  G80 [Quadro FX 5600]
-	019e  G80 [Quadro FX 4600]
+	0197  G80GL [Tesla C870]
+	019d  G80GL [Quadro FX 5600]
+	019e  G80GL [Quadro FX 4600]
 	01a0  nForce 220/420 NV11 [GeForce2 MX]
 	01a4  nForce CPU bridge
 	01ab  nForce 420 Memory Controller (DDR)
@@ -6029,9 +7251,12 @@
 	01c3  nForce Ethernet Controller
 	01d0  G72 [GeForce 7350 LE]
 	01d1  G72 [GeForce 7300 LE]
+		107d 5efa  WinFast PX7300LE-TD128
+		107d 5efb  WinFast PX7300LE-TD256
 		1462 0345  7300LE PCI Express Graphics Adapter
 	01d2  G72 [GeForce 7550 LE]
-	01d3  G72 [GeForce 7300 SE/7200 GS]
+	01d3  G72 [GeForce 7200 GS / 7300 SE]
+	01d5  G72
 	01d6  G72M [GeForce Go 7200]
 	01d7  G72M [Quadro NVS 110M/GeForce Go 7300]
 	01d8  G72M [GeForce Go 7400]
@@ -6039,11 +7264,11 @@
 	01d9  G72M [GeForce Go 7450]
 	01da  G72M [Quadro NVS 110M]
 	01db  G72M [Quadro NVS 120M]
-	01dc  G72GL [Quadro FX 350M]
+	01dc  G72GLM [Quadro FX 350M]
 	01dd  G72 [GeForce 7500 LE]
 	01de  G72GL [Quadro FX 350]
 		10de 01dc  Quadro  FX Go350M
-	01df  G71 [GeForce 7300 GS]
+	01df  G72 [GeForce 7300 GS]
 	01e0  nForce2 IGP2
 		147b 1c09  NV7 Motherboard
 	01e8  nForce2 AGP
@@ -6060,7 +7285,7 @@
 		a0a0 03b9  UK79G-1394 motherboard
 	01ef  nForce2 Memory Controller 5
 		a0a0 03b9  UK79G-1394 motherboard
-	01f0  NV18 [GeForce4 MX - nForce GPU]
+	01f0  C17 [GeForce4 MX IGP]
 		a0a0 03b5  UK79G-1394 motherboard
 	0200  NV20 [GeForce3]
 		1043 402f  AGP-V8200 DDR
@@ -6069,7 +7294,7 @@
 	0202  NV20 [GeForce3 Ti 500]
 		1043 405b  V8200 T5
 		1545 002f  Xtasy 6964
-	0203  NV20DCC [Quadro DCC]
+	0203  NV20GL [Quadro DCC]
 	0211  NV48 [GeForce 6800]
 	0212  NV48 [GeForce 6800 LE]
 	0215  NV48 [GeForce 6800 GT]
@@ -6078,6 +7303,7 @@
 		1043 81e1  N6200/TD/256M/A
 		3842 a341  256A8N341DX
 	0222  NV44 [GeForce 6200 A-LE]
+	0224  NV44
 	0240  C51PV [GeForce 6150]
 		1043 81cd  A8N-VM CSM
 		1462 7207  K8NGM2 series
@@ -6114,6 +7340,7 @@
 	0259  NV25GL [Quadro4 750 XGL]
 	025b  NV25GL [Quadro4 700 XGL]
 	0260  MCP51 LPC Bridge
+		103c 2a34  Pavilion a1677c
 		103c 30b7  Presario V6133CL
 		1043 81bc  A8N-VM CSM Mainboard
 		1458 5001  GA-M55plus-S3G
@@ -6123,25 +7350,30 @@
 	0262  MCP51 LPC Bridge
 	0263  MCP51 LPC Bridge
 	0264  MCP51 SMBus
+		103c 2a34  Pavilion a1677c
 		103c 30b7  Presario V6133CL
 		1043 81bc  A8N-VM CSM Mainboard
 		105b 0cad  Winfast 6100K8MB
 		1462 7207  K8NGM2 series
 	0265  MCP51 IDE
+		103c 2a34  Pavilion a1677c
 		103c 30b7  Presario V6133CL
 		1043 81bc  A8N-VM CSM Mainboard
 		1462 7207  K8NGM2 series
 # Foxconn has used a wrong vendor ID for this one
 		f05b 0cad  Winfast 6100K8MB
 	0266  MCP51 Serial ATA Controller
+		103c 2a34  Pavilion a1677c
 		103c 30b7  Presario V6133CL
 		1043 81bc  A8N-VM CSM Mainboard
 		1462 7207  K8NGM2 series
 	0267  MCP51 Serial ATA Controller
+		103c 2a34  Pavilion a1677c
 		1043 81bc  A8N-VM CSM Mainboard
 		1462 7207  K8NGM2 series
 	0268  MCP51 Ethernet Controller
 	0269  MCP51 Ethernet Controller
+		103c 2a34  Pavilion a1677c
 		103c 30b7  Presario V6133CL
 		1043 8141  A8N-VM CSM Mainboard
 		1462 7207  K8NGM2 series
@@ -6149,16 +7381,19 @@
 	026b  MCP51 AC97 Audio Controller
 		105b 0cad  Winfast 6100K8MB
 	026c  MCP51 High Definition Audio
+		103c 2a34  Pavilion a1677c
 		103c 30b5  Presario V3242AU
 		103c 30b7  Presario V6133CL
 		10de cb84  ASUSTeK Computer Inc. A8N-VM CSM Mainboard
 		1462 7207  K8NGM2 series
 	026d  MCP51 USB Controller
+		103c 2a34  Pavilion a1677c
 		103c 30b7  Presario V6133CL
 		1043 81bc  A8N-VM CSM Mainboard
 		105b 0cad  Winfast 6100K8MB
 		1462 7207  K8NGM2 series
 	026e  MCP51 USB Controller
+		103c 2a34  Pavilion a1677c
 		103c 30b7  Presario V6133CL
 		1043 81bc  A8N-VM CSM Mainboard
 		105b 0cad  Winfast 6100K8MB
@@ -6166,6 +7401,7 @@
 	026f  MCP51 PCI Bridge
 		103c 30b7  Presario V6133CL
 	0270  MCP51 Host Bridge
+		103c 2a34  Pavilion a1677c
 		103c 30b7  Presario V6133CL
 		1043 81bc  A8N-VM CSM Mainboard
 		105b 0cad  Winfast 6100K8MB
@@ -6175,13 +7411,16 @@
 		103c 30b5  Presario V3242AU
 		103c 30b7  Presario V6133CL
 	0272  MCP51 Memory Controller 0
+		103c 2a34  Pavilion a1677c
 		105b 0cad  Winfast 6100K8MB
 	027e  C51 Memory Controller 2
+		103c 2a34  Pavilion a1677c
 		103c 30b7  Presario V6133CL
 		1043 81cd  A8N-VM CSM Mainboard
 		1458 5000  GA-M55plus-S3G
 		1462 7207  K8NGM2 series
 	027f  C51 Memory Controller 3
+		103c 2a34  Pavilion a1677c
 		103c 30b7  Presario V6133CL
 		1043 81cd  A8N-VM CSM Mainboard
 		1458 5000  GA-M55plus-S3G
@@ -6189,7 +7428,7 @@
 	0280  NV28 [GeForce4 Ti 4800]
 	0281  NV28 [GeForce4 Ti 4200 AGP 8x]
 	0282  NV28 [GeForce4 Ti 4800 SE]
-	0286  NV28 [GeForce4 Ti 4200 Go AGP 8x]
+	0286  NV28M [GeForce4 Ti 4200 Go AGP 8x]
 	0288  NV28GL [Quadro4 980 XGL]
 	0289  NV28GL [Quadro4 780 XGL]
 	028c  NV28GLM [Quadro4 Go700]
@@ -6203,15 +7442,16 @@
 		1043 8225  GeForce 7950 GT
 		107d 2a68  WinFast PX7950GT TDH
 		1462 0663  NX7950GT-VT2D512EZ-HD
-	0297  G71 [GeForce Go 7950 GTX]
-	0298  G71 [GeForce Go 7900 GS]
-	0299  G71 [GeForce Go 7900 GTX]
-	029a  G71 [Quadro FX 2500M]
-	029b  G71 [Quadro FX 1500M]
-	029c  G71 [Quadro FX 5500]
+	0297  G71M [GeForce Go 7950 GTX]
+	0298  G71M [GeForce Go 7900 GS]
+	0299  G71M [GeForce Go 7900 GTX]
+	029a  G71GLM [Quadro FX 2500M]
+	029b  G71GLM [Quadro FX 1500M]
+	029c  G71GL [Quadro FX 5500]
 	029d  G71GL [Quadro FX 3500]
-	029e  G71 [Quadro FX 1500]
-	029f  G70 [Quadro FX 4500 X2]
+		1028 019b  G71GLM [Quadro FX 3500M]
+	029e  G71GL [Quadro FX 1500]
+	029f  G71GL [Quadro FX 4500 X2]
 # Xbox Graphics Processing Unit (Integrated). GeForce3 derivative (NV20 < NV2A < NV25).
 	02a0  NV2A [XGPU]
 	02a5  MCPX CPU Bridge
@@ -6226,6 +7466,7 @@
 	02e4  G71 [GeForce 7950 GT]
 		1682 2271  PV-T71A-YDF7 (512MB)
 	02f0  C51 Host Bridge
+		103c 2a34  Pavilion a1677c
 		103c 30b7  Presario V6133CL
 		1043 81cd  A8N-VM CSM Mainboard
 		1462 7207  K8NGM2 series
@@ -6238,16 +7479,19 @@
 	02f6  C51 Host Bridge
 	02f7  C51 Host Bridge
 	02f8  C51 Memory Controller 5
+		103c 2a34  Pavilion a1677c
 		103c 30b7  Presario V6133CL
 		1043 81cd  A8N-VM CSM Mainboard
 		1458 5000  GA-M55plus-S3G
 		1462 7207  K8NGM2 series
 	02f9  C51 Memory Controller 4
+		103c 2a34  Pavilion a1677c
 		103c 30b7  Presario V6133CL
 		1043 81cd  A8N-VM CSM Mainboard
 		1458 5000  GA-M55plus-S3G
 		1462 7207  K8NGM2 series
 	02fa  C51 Memory Controller 0
+		103c 2a34  Pavilion a1677c
 		103c 30b7  Presario V6133CL
 		1043 81cd  A8N-VM CSM Mainboard
 		1458 5000  GA-M55plus-S3G
@@ -6258,11 +7502,13 @@
 	02fd  C51 PCI Express Bridge
 		103c 30b7  Presario V6133CL
 	02fe  C51 Memory Controller 1
+		103c 2a34  Pavilion a1677c
 		103c 30b7  Presario V6133CL
 		1043 81cd  A8N-VM CSM Mainboard
 		1458 5000  GA-M55plus-S3G
 		1462 7207  K8NGM2 series
 	02ff  C51 Host Bridge
+		103c 2a34  Pavilion a1677c
 		103c 30b7  Presario V6133CL
 		1043 81cd  A8N-VM CSM Mainboard
 		1458 5000  GA-M55plus-S3G
@@ -6274,22 +7520,19 @@
 	0309  NV30GL [Quadro FX 1000]
 	0311  NV31 [GeForce FX 5600 Ultra]
 	0312  NV31 [GeForce FX 5600]
-	0313  NV31
 	0314  NV31 [GeForce FX 5600XT]
 		1043 814a  V9560XT/TD
 	0316  NV31M
-	0317  NV31M Pro
+	0318  NV31GL
 	031a  NV31M [GeForce FX Go5600]
 	031b  NV31M [GeForce FX Go5650]
-	031c  NV31 [Quadro FX Go700]
-	031d  NV31GLM
-	031e  NV31GLM Pro
-	031f  NV31GLM Pro
+	031c  NV31GLM [Quadro FX Go700]
 	0320  NV34 [GeForce FX 5200]
 	0321  NV34 [GeForce FX 5200 Ultra]
 	0322  NV34 [GeForce FX 5200]
 		1043 02fb  V9250 Magic
 		1043 8180  V9520-X/TD/128M
+		107d 2967  WinFast A340T 128MB
 		1462 9110  MS-8911 (FX5200-TD128)
 		1462 9171  MS-8917 (FX5200-T128)
 		1462 9360  MS-8936 (FX5200-T128)
@@ -6309,9 +7552,10 @@
 		10de 0010  Powerbook G4
 	032a  NV34GL [Quadro NVS 280 PCI]
 	032b  NV34GL [Quadro FX 500/600 PCI]
-	032c  NV34GLM [GeForce FX Go 5300]
-	032d  NV34 [GeForce FX Go5100]
-	032f  NV34GL
+	032c  NV34M [GeForce FX Go5300 / Go5350]
+	032d  NV34M [GeForce FX Go5100]
+	032e  NV34
+	032f  NV34 [GeForce FX 5200]
 	0330  NV35 [GeForce FX 5900 Ultra]
 		1043 8137  V9950 Ultra / 256 MB
 	0331  NV35 [GeForce FX 5900]
@@ -6322,20 +7566,17 @@
 		1462 9373  FX5900ZT-VTD128 (MS-8937)
 	0338  NV35GL [Quadro FX 3000]
 	033f  NV35GL [Quadro FX 700]
-	0341  NV36.1 [GeForce FX 5700 Ultra]
+	0341  NV36 [GeForce FX 5700 Ultra]
 		1462 9380  MS-8938 (FX5700U-TD128)
-	0342  NV36.2 [GeForce FX 5700]
+	0342  NV36 [GeForce FX 5700]
 	0343  NV36 [GeForce FX 5700LE]
-	0344  NV36.4 [GeForce FX 5700VE]
-	0345  NV36.5
-	0347  NV36 [GeForce FX Go5700]
+	0344  NV36 [GeForce FX 5700VE]
+	0347  NV36M [GeForce FX Go5700]
 		103c 006a  NX9500
-	0348  NV36 [GeForce FX Go5700]
-	0349  NV36M Pro
-	034b  NV36MAP
+	0348  NV36M [GeForce FX Go5700]
 	034c  NV36 [Quadro FX Go1000]
+	034d  NV36
 	034e  NV36GL [Quadro FX 1100]
-	034f  NV36GL
 	0360  MCP55 LPC Bridge
 	0361  MCP55 LPC Bridge
 		1028 0221  PowerEdge R805 MCP55 LPC Bridge
@@ -6392,15 +7633,18 @@
 		1462 0412  NX7300GT-TD256EH
 	0394  G73 [GeForce 7600 LE]
 	0395  G73 [GeForce 7300 GT]
-	0397  G73 [GeForce Go 7700]
-	0398  G73 [GeForce Go 7600]
+	0396  G73
+	0397  G73M [GeForce Go 7700]
+	0398  G73M [GeForce Go 7600]
 		1025 006c  Acer 9814 WKMI
-	0399  G73 [GeForce Go 7600 GT]
+	0399  G73M [GeForce Go 7600 GT]
 	039a  G73M [Quadro NVS 300M]
-	039b  G73 [GeForce Go 7900 SE]
-	039c  G73 [Quadro FX 550M]
+	039b  G73M [GeForce Go 7900 SE]
+	039c  G73GLM [Quadro FX 550M]
 		10de 039c  Quadro FX 560M
+	039d  G73
 	039e  G73GL [Quadro FX 560]
+	039f  G73
 	03a0  C55 Host Bridge
 	03a1  C55 Host Bridge
 	03a2  C55 Host Bridge
